{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.BreadcrumbList where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- |       A BreadcrumbList is an ItemList consisting of a chain of linked Web pages, typically described using at least their URL and their name, and typically ending with the current page.      <br/>      <br/>      The 'position' property is used to reconstruct the order of the items in a BreadcrumbList.      The convention is that a breadcrumb list has an itemListOrder of ItemListOrderAscending (lower values listed first), and that the      first items in this list correspond to the "top" or beginning of the breadcrumb trail, e.g. with a site or section homepage.      The specific values of 'position' are not assigned meaning for a BreadcrumbList, but they should be integers, e.g. beginning      with '1' for the first item in the list.      

data BreadcrumbList

instance Show BreadcrumbList
instance Read BreadcrumbList
instance Eq BreadcrumbList
instance Typeable BreadcrumbList
instance MetaData BreadcrumbList