{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Campground where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CivicStructure

-- | A campground.
--
--   [@id@] Campground
--
--   [@label@] Campground
--
--   [@comment@] A campground.
--
--   [@ancestors@] @'Thing','Place','CivicStructure'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'CivicStructure'@
--
--   [@url@] <http://schema.org/Campground>
data Campground = Campground { openingHours :: OpeningHours
                             , additionalProperty :: AdditionalProperty
                             , address :: Address
                             , aggregateRating :: AggregateRating
                             , branchCode :: BranchCode
                             , containedInPlace :: ContainedInPlace
                             , containsPlace :: ContainsPlace
                             , event :: Event
                             , faxNumber :: FaxNumber
                             , geo :: Geo
                             , globalLocationNumber :: GlobalLocationNumber
                             , hasMap :: HasMap
                             , isicV4 :: IsicV4
                             , logo :: Logo
                             , openingHoursSpecification :: OpeningHoursSpecification
                             , photo :: Photo
                             , review :: Review
                             , telephone :: Telephone
                             , additionalType :: AdditionalType
                             , alternateName :: AlternateName
                             , description :: Description
                             , image :: Image
                             , mainEntityOfPage :: MainEntityOfPage
                             , name :: Name
                             , potentialAction :: PotentialAction
                             , sameAs :: SameAs
                             , url :: Url
                             }
                  deriving (Show, Read, Eq, Typeable)

instance MetaData Campground where
  _label         = const "Campground"
  _comment_plain = const "A campground."
  _comment       = const "A campground."
  _url           = const "http://schema.org/Campground"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]