{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.CatholicChurch where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CivicStructure
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PlaceOfWorship

-- | A Catholic church.
--
--   [@id@] CatholicChurch
--
--   [@label@] Catholic Church
--
--   [@comment@] A Catholic church.
--
--   [@ancestors@] @'Thing','Place','CivicStructure','PlaceOfWorship'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'PlaceOfWorship'@
--
--   [@url@] <http://schema.org/CatholicChurch>
data CatholicChurch = CatholicChurch { openingHours :: OpeningHours
                                     , additionalProperty :: AdditionalProperty
                                     , address :: Address
                                     , aggregateRating :: AggregateRating
                                     , branchCode :: BranchCode
                                     , containedInPlace :: ContainedInPlace
                                     , containsPlace :: ContainsPlace
                                     , event :: Event
                                     , faxNumber :: FaxNumber
                                     , geo :: Geo
                                     , globalLocationNumber :: GlobalLocationNumber
                                     , hasMap :: HasMap
                                     , isicV4 :: IsicV4
                                     , logo :: Logo
                                     , openingHoursSpecification :: OpeningHoursSpecification
                                     , photo :: Photo
                                     , review :: Review
                                     , telephone :: Telephone
                                     , additionalType :: AdditionalType
                                     , alternateName :: AlternateName
                                     , description :: Description
                                     , image :: Image
                                     , mainEntityOfPage :: MainEntityOfPage
                                     , name :: Name
                                     , potentialAction :: PotentialAction
                                     , sameAs :: SameAs
                                     , url :: Url
                                     }
                      deriving (Show, Read, Eq, Typeable)

instance MetaData CatholicChurch where
  _label         = const "Catholic Church"
  _comment_plain = const "A Catholic church."
  _comment       = const "A Catholic church."
  _url           = const "http://schema.org/CatholicChurch"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PlaceOfWorship.PlaceOfWorship)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.PlaceOfWorship.PlaceOfWorship)]