{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.DeliveryMethod where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | A delivery method is a standardized procedure for transferring the product or service to the destination of fulfillment chosen by the customer. Delivery methods are characterized by the means of transportation used, and by the organization or group that is the contracting party for the sending organization or person.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#DeliveryModeDirectDownload <br/>    http://purl.org/goodrelations/v1#DeliveryModeFreight <br/>    http://purl.org/goodrelations/v1#DeliveryModeMail <br/>    http://purl.org/goodrelations/v1#DeliveryModeOwnFleet <br/>    http://purl.org/goodrelations/v1#DeliveryModePickUp <br/>    http://purl.org/goodrelations/v1#DHL <br/>    http://purl.org/goodrelations/v1#FederalExpress <br/>    http://purl.org/goodrelations/v1#UPS <br/>        

data DeliveryMethod

instance Show DeliveryMethod
instance Read DeliveryMethod
instance Eq DeliveryMethod
instance Typeable DeliveryMethod
instance MetaData DeliveryMethod