{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Enumeration where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ActionStatusType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.BoardingPolicyType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.BookFormatType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.BusinessEntityType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.BusinessFunction
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ContactPointOption
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DayOfWeek
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DeliveryMethod
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DrugCostCategory
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DrugPregnancyCategory
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DrugPrescriptionStatus
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.EventStatusType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.GamePlayMode
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.GameServerStatus
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.InfectiousAgentClass
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ItemAvailability
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ItemListOrderType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MapCategoryType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalAudience
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalDevicePurpose
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalEnumeration
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalEvidenceLevel
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalImagingTechnique
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalObservationalStudyDesign
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalProcedureType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalSpecialty
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalStudyStatus
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalTrialDesign
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicineSystem
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MusicAlbumProductionType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MusicAlbumReleaseType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MusicReleaseFormatType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.OfferItemCondition
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.OrderStatus
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PaymentMethod
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PaymentStatusType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PhysicalActivityCategory
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PhysicalExam
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.QualitativeValue
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ReservationStatusType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.RsvpResponseType
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Specialty
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.WarrantyScope

-- | Lists or enumerations—for example, a list of cuisines or music genres, etc.
--
--   [@id@] Enumeration
--
--   [@label@] Enumeration
--
--   [@comment@] Lists or enumerations—for example, a list of cuisines or music genres, etc.
--
--   [@ancestors@] @'Thing','Intangible'@
--
--   [@subtypes@] @'ActionStatusType','BoardingPolicyType','BookFormatType','BusinessEntityType','BusinessFunction','ContactPointOption','DayOfWeek','DeliveryMethod','DrugCostCategory','DrugPregnancyCategory','DrugPrescriptionStatus','EventStatusType','GamePlayMode','GameServerStatus','InfectiousAgentClass','ItemAvailability','ItemListOrderType','MapCategoryType','MedicalAudience','MedicalDevicePurpose','MedicalEnumeration','MedicalEvidenceLevel','MedicalImagingTechnique','MedicalObservationalStudyDesign','MedicalProcedureType','MedicalSpecialty','MedicalStudyStatus','MedicalTrialDesign','MedicineSystem','MusicAlbumProductionType','MusicAlbumReleaseType','MusicReleaseFormatType','OfferItemCondition','OrderStatus','PaymentMethod','PaymentStatusType','PhysicalActivityCategory','PhysicalExam','QualitativeValue','ReservationStatusType','RsvpResponseType','Specialty','WarrantyScope'@
--
--   [@supertypes@] @'Intangible'@
--
--   [@url@] <http://schema.org/Enumeration>
data Enumeration = Enumeration { supersededBy :: SupersededBy
                               , additionalType :: AdditionalType
                               , alternateName :: AlternateName
                               , description :: Description
                               , image :: Image
                               , mainEntityOfPage :: MainEntityOfPage
                               , name :: Name
                               , potentialAction :: PotentialAction
                               , sameAs :: SameAs
                               , url :: Url
                               }
                   deriving (Show, Read, Eq, Typeable)

instance MetaData Enumeration where
  _label         = const "Enumeration"
  _comment_plain = const "Lists or enumerations—for example, a list of cuisines or music genres, etc."
  _comment       = const "Lists or enumerations—for example, a list of cuisines or music genres, etc."
  _url           = const "http://schema.org/Enumeration"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.ActionStatusType.ActionStatusType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.BoardingPolicyType.BoardingPolicyType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.BookFormatType.BookFormatType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.BusinessEntityType.BusinessEntityType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.BusinessFunction.BusinessFunction)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ContactPointOption.ContactPointOption)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DayOfWeek.DayOfWeek)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DeliveryMethod.DeliveryMethod)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DrugCostCategory.DrugCostCategory)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DrugPregnancyCategory.DrugPregnancyCategory)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DrugPrescriptionStatus.DrugPrescriptionStatus)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.EventStatusType.EventStatusType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.GamePlayMode.GamePlayMode)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.GameServerStatus.GameServerStatus)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.InfectiousAgentClass.InfectiousAgentClass)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ItemAvailability.ItemAvailability)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ItemListOrderType.ItemListOrderType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MapCategoryType.MapCategoryType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalAudience.MedicalAudience)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalDevicePurpose.MedicalDevicePurpose)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalEnumeration.MedicalEnumeration)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalEvidenceLevel.MedicalEvidenceLevel)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalImagingTechnique.MedicalImagingTechnique)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalObservationalStudyDesign.MedicalObservationalStudyDesign)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalProcedureType.MedicalProcedureType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalSpecialty.MedicalSpecialty)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalStudyStatus.MedicalStudyStatus)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalTrialDesign.MedicalTrialDesign)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicineSystem.MedicineSystem)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MusicAlbumProductionType.MusicAlbumProductionType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MusicAlbumReleaseType.MusicAlbumReleaseType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MusicReleaseFormatType.MusicReleaseFormatType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.OfferItemCondition.OfferItemCondition)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.OrderStatus.OrderStatus)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PaymentMethod.PaymentMethod)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PaymentStatusType.PaymentStatusType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PhysicalActivityCategory.PhysicalActivityCategory)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PhysicalExam.PhysicalExam)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.QualitativeValue.QualitativeValue)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ReservationStatusType.ReservationStatusType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.RsvpResponseType.RsvpResponseType)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Specialty.Specialty)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.WarrantyScope.WarrantyScope)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)]