{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.HomeAndConstructionBusiness where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HomeAndConstructionBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Electrician
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.GeneralContractor
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HVACBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HousePainter
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Locksmith
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MovingCompany
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Plumber
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.RoofingContractor

-- | A construction business.                A HomeAndConstructionBusiness is a LocalBusiness that provides services around homes and buildings.                    As a LocalBusiness it can be          described as a provider of one or more          Service(s).
--
--   [@id@] HomeAndConstructionBusiness
--
--   [@label@] Home And Construction Business
--
--   [@comment@] A construction business.        <br/><br/>        A HomeAndConstructionBusiness is a LocalBusiness that provides services around homes and buildings.          <br/><br/>          As a <a href="http://schema.org/LocalBusiness">LocalBusiness</a> it can be          described as a <a href="http://schema.org/provider">provider</a> of one or more          <a href="http://schema.org/Service">Service(s)</a>.      
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','HomeAndConstructionBusiness','Thing','Place','LocalBusiness'@
--
--   [@subtypes@] @'Electrician','GeneralContractor','HVACBusiness','HousePainter','Locksmith','MovingCompany','Plumber','RoofingContractor'@
--
--   [@supertypes@] @'LocalBusiness'@
--
--   [@url@] <http://schema.org/HomeAndConstructionBusiness>
data HomeAndConstructionBusiness = HomeAndConstructionBusiness { branchCode :: BranchCode
                                                               , currenciesAccepted :: CurrenciesAccepted
                                                               , openingHours :: OpeningHours
                                                               , paymentAccepted :: PaymentAccepted
                                                               , priceRange :: PriceRange
                                                               , address :: Address
                                                               , aggregateRating :: AggregateRating
                                                               , alumni :: Alumni
                                                               , areaServed :: AreaServed
                                                               , award :: Award
                                                               , brand :: Brand
                                                               , contactPoint :: ContactPoint
                                                               , department :: Department
                                                               , dissolutionDate :: DissolutionDate
                                                               , duns :: Duns
                                                               , email :: Email
                                                               , employee :: Employee
                                                               , event :: Event
                                                               , faxNumber :: FaxNumber
                                                               , founder :: Founder
                                                               , foundingDate :: FoundingDate
                                                               , foundingLocation :: FoundingLocation
                                                               , globalLocationNumber :: GlobalLocationNumber
                                                               , hasOfferCatalog :: HasOfferCatalog
                                                               , hasPOS :: HasPOS
                                                               , isicV4 :: IsicV4
                                                               , legalName :: LegalName
                                                               , location :: Location
                                                               , logo :: Logo
                                                               , makesOffer :: MakesOffer
                                                               , member :: Member
                                                               , memberOf :: MemberOf
                                                               , naics :: Naics
                                                               , numberOfEmployees :: NumberOfEmployees
                                                               , owns :: Owns
                                                               , parentOrganization :: ParentOrganization
                                                               , review :: Review
                                                               , seeks :: Seeks
                                                               , subOrganization :: SubOrganization
                                                               , taxID :: TaxID
                                                               , telephone :: Telephone
                                                               , vatID :: VatID
                                                               , additionalProperty :: AdditionalProperty
                                                               , address :: Address
                                                               , aggregateRating :: AggregateRating
                                                               , branchCode :: BranchCode
                                                               , containedInPlace :: ContainedInPlace
                                                               , containsPlace :: ContainsPlace
                                                               , event :: Event
                                                               , faxNumber :: FaxNumber
                                                               , geo :: Geo
                                                               , globalLocationNumber :: GlobalLocationNumber
                                                               , hasMap :: HasMap
                                                               , isicV4 :: IsicV4
                                                               , logo :: Logo
                                                               , openingHoursSpecification :: OpeningHoursSpecification
                                                               , photo :: Photo
                                                               , review :: Review
                                                               , telephone :: Telephone
                                                               , additionalType :: AdditionalType
                                                               , alternateName :: AlternateName
                                                               , description :: Description
                                                               , image :: Image
                                                               , mainEntityOfPage :: MainEntityOfPage
                                                               , name :: Name
                                                               , potentialAction :: PotentialAction
                                                               , sameAs :: SameAs
                                                               , url :: Url
                                                               }
                                   deriving (Show, Read, Eq, Typeable)

instance MetaData HomeAndConstructionBusiness where
  _label         = const "Home And Construction Business"
  _comment_plain = const "A construction business.                A HomeAndConstructionBusiness is a LocalBusiness that provides services around homes and buildings.                    As a LocalBusiness it can be          described as a provider of one or more          Service(s)."
  _comment       = const "A construction business.        <br/><br/>        A HomeAndConstructionBusiness is a LocalBusiness that provides services around homes and buildings.          <br/><br/>          As a <a href="http://schema.org/LocalBusiness">LocalBusiness</a> it can be          described as a <a href="http://schema.org/provider">provider</a> of one or more          <a href="http://schema.org/Service">Service(s)</a>.      "
  _url           = const "http://schema.org/HomeAndConstructionBusiness"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HomeAndConstructionBusiness.HomeAndConstructionBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Electrician.Electrician)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.GeneralContractor.GeneralContractor)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HVACBusiness.HVACBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HousePainter.HousePainter)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Locksmith.Locksmith)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MovingCompany.MovingCompany)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Plumber.Plumber)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.RoofingContractor.RoofingContractor)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]