{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.JoinAction where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | An agent joins an event/group with participants/friends at a location.<p>Related actions:</p><ul><li><a href="http://schema.org/RegisterAction">RegisterAction</a>: Unlike RegisterAction, JoinAction refers to joining a group/team of people.</li><li><a href="http://schema.org/SubscribeAction">SubscribeAction</a>: Unlike SubscribeAction, JoinAction does not imply that you'll be receiving updates.</li><li><a href="http://schema.org/FollowAction">FollowAction</a>: Unlike FollowAction, JoinAction does not imply that you'll be polling for updates</li></ul>.

data JoinAction

instance Show JoinAction
instance Read JoinAction
instance Eq JoinAction
instance Typeable JoinAction
instance MetaData JoinAction