{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.LeaveAction where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | An agent leaves an event / group with participants/friends at a location.<p>Related actions:</p><ul><li><a href="http://schema.org/JoinAction">JoinAction</a>: The antonym of LeaveAction.</li><li><a href="http://schema.org/UnRegisterAction">UnRegisterAction</a>: Unlike UnRegisterAction, LeaveAction implies leaving a group/team of people rather than a service</li></ul>.

data LeaveAction

instance Show LeaveAction
instance Read LeaveAction
instance Eq LeaveAction
instance Typeable LeaveAction
instance MetaData LeaveAction