{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Offer where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | An offer to transfer some rights to an item or to provide a service—for example, an offer to sell tickets to an event, to rent the DVD of a movie, to stream a TV show over the internet, to repair a motorcycle, or to loan a book.      <br/><br/>      For <a href="http://www.gs1.org/barcodes/technical/idkeys/gtin">GTIN</a>-related fields, see      <a href="http://www.gs1.org/barcodes/support/check_digit_calculator">Check Digit calculator</a>      and <a href="http://www.gs1us.org/resources/standards/gtin-validation-guide">validation guide</a>      from <a href="http://www.gs1.org/">GS1</a>.

data Offer

instance Show Offer
instance Read Offer
instance Eq Offer
instance Typeable Offer
instance MetaData Offer