{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.PaymentMethod where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | A payment method is a standardized procedure for transferring the monetary amount for a purchase. Payment methods are characterized by the legal and technical structures used, and by the organization or group carrying out the transaction.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#ByBankTransferInAdvance <br/>    http://purl.org/goodrelations/v1#ByInvoice <br/>    http://purl.org/goodrelations/v1#Cash <br/>    http://purl.org/goodrelations/v1#CheckInAdvance <br/>    http://purl.org/goodrelations/v1#COD <br/>    http://purl.org/goodrelations/v1#DirectDebit <br/>    http://purl.org/goodrelations/v1#GoogleCheckout <br/>    http://purl.org/goodrelations/v1#PayPal <br/>    http://purl.org/goodrelations/v1#PaySwarm <br/>        

data PaymentMethod

instance Show PaymentMethod
instance Read PaymentMethod
instance Eq PaymentMethod
instance Typeable PaymentMethod
instance MetaData PaymentMethod