{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.PropertyValue where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | A property-value pair, e.g. representing a feature of a product or place. Use the 'name' property for the name of the property. If there is an additional human-readable version of the value, put that into the 'description' property.        <br/><br/>        Always use specific schema.org properties when a) they exist and b) you can populate them. Using PropertyValue as a substitute will typically not trigger the same effect as using the original, specific property.    

data PropertyValue

instance Show PropertyValue
instance Read PropertyValue
instance Eq PropertyValue
instance Typeable PropertyValue
instance MetaData PropertyValue