{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.PropertyValueSpecification where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible

-- | A Property value specification.
--
--   [@id@] PropertyValueSpecification
--
--   [@label@] Property Value Specification
--
--   [@comment@] A Property value specification.
--
--   [@ancestors@] @'Thing','Intangible'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Intangible'@
--
--   [@url@] <http://schema.org/PropertyValueSpecification>
data PropertyValueSpecification = PropertyValueSpecification { defaultValue :: DefaultValue
                                                             , maxValue :: MaxValue
                                                             , minValue :: MinValue
                                                             , multipleValues :: MultipleValues
                                                             , readonlyValue :: ReadonlyValue
                                                             , stepValue :: StepValue
                                                             , valueMaxLength :: ValueMaxLength
                                                             , valueMinLength :: ValueMinLength
                                                             , valueName :: ValueName
                                                             , valuePattern :: ValuePattern
                                                             , valueRequired :: ValueRequired
                                                             , additionalType :: AdditionalType
                                                             , alternateName :: AlternateName
                                                             , description :: Description
                                                             , image :: Image
                                                             , mainEntityOfPage :: MainEntityOfPage
                                                             , name :: Name
                                                             , potentialAction :: PotentialAction
                                                             , sameAs :: SameAs
                                                             , url :: Url
                                                             }
                                  deriving (Show, Read, Eq, Typeable)

instance MetaData PropertyValueSpecification where
  _label         = const "Property Value Specification"
  _comment_plain = const "A Property value specification."
  _comment       = const "A Property value specification."
  _url           = const "http://schema.org/PropertyValueSpecification"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)]