{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.SendAction where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | The act of physically/electronically dispatching an object for transfer from an origin to a destination.<p>Related actions:</p><ul><li><a href="http://schema.org/ReceiveAction">ReceiveAction</a>: The reciprocal of SendAction.</li><li><a href="http://schema.org/GiveAction">GiveAction</a>: Unlike GiveAction, SendAction does not imply the transfer of ownership (e.g. I can send you my laptop, but I'm not necessarily giving it to you)</li></ul>.

data SendAction

instance Show SendAction
instance Read SendAction
instance Eq SendAction
instance Typeable SendAction
instance MetaData SendAction